Name:		chromium-bsu
Version:	0.9.16
Release:	%mkrel 1
Summary:	Fast paced, arcade-style, top-scrolling space shooter
Group:		Games/Arcade
License:	Artistic
URL:		http://sourceforge.net/projects/chromium-bsu
Source0:	http://downloads.sf.net/chromium-bsu/%{name}-%{version}.tar.xz
Source1:	chromium-bsu.desktop
#==========================================
BuildRequires: ImageMagick
BuildRequires: %{_lib}freealut-devel
BuildRequires: %{_lib}freeglut-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}quesoglc-devel
BuildRequires: %{_lib}sdl2.0-devel
BuildRequires: %{_lib}sdl2_image-devel
BuildRequires: mesa-devel
#==========================================
Requires:	fonts-ttf-bitstream-vera
Obsoletes: chromium
Provides: chromium = %version-%release

%description
You are captain of the cargo ship Chromium B.S.U., responsible for delivering
supplies to our troops on the front line. Your ship has a small fleet of
robotic fighters which you control from the relative safety of the Chromium
vessel.
This is an OpenGL-based shoot 'em up game with fine graphics.

%prep
%setup -q

%build
%configure2_5x \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir} \
    --with-font-name="Bitstream Vera Sans"
%make

%install
rm -rf %buildroot
%make_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert -scale 48x48 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32x32 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16x16 misc/chromium-bsu.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#menu
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/chromium-bsu.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_docdir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man6/%{name}.6*


%changelog
* Fri Dec 02 2016 adrianomorselli <adrianomorselli> 0.9.16-1uplos2016
- rebuild

* Sat Jul 16 2016 bb <bb> 0.9.16-1pclos2016
- update for 2016

